Get feed statistics
GET
/analytics/v1/feeds/{feedId}/statsReturns aggregated statistics for a feed over a date range
Authorization
Bearer Authorization<token>
In: header
Path Parameters
feedId*string
Feed ID
Query Parameters
start?string
Start date (inclusive)
end?string
End date (inclusive)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.FeedStats",
"$ref-value": {
"properties": {
"avg_time_per_visit_ms": {
"type": "number"
},
"feed_id": {
"type": "string"
},
"total_posts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "number"
},
"unique_viewers": {
"type": "integer"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/feeds/string/stats"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.FeedStats",
"$ref-value": {
"properties": {
"avg_time_per_visit_ms": {
"type": "number"
},
"feed_id": {
"type": "string"
},
"total_posts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "number"
},
"unique_viewers": {
"type": "integer"
}
},
"type": "object"
}
}